var _excluded = ["text"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import ReactDOM from 'react-dom';
import { Spin, ConfigProvider } from 'rlj-design';
import { PREFIX_CLS } from "../constants";
import { changeConfirmLocale } from 'antd/es/modal/locale';
import zhCN from 'antd/es/locale/zh_CN';
import "./index.less";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var prefixCls = "".concat(PREFIX_CLS, "-full-loading");

var SpinContent = function SpinContent(props) {
  var text = props.text,
      restProps = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/_jsx("div", {
    className: prefixCls,
    children: /*#__PURE__*/_jsxs("div", {
      style: {
        textAlign: 'center'
      },
      children: [/*#__PURE__*/_jsx("div", {
        style: {
          margin: '10px 10px 15px 10px'
        },
        children: /*#__PURE__*/_jsx(Spin, _objectSpread({}, restProps))
      }), /*#__PURE__*/_jsx("span", {
        style: {
          fontSize: 12,
          color: '#595959'
        },
        children: text
      })]
    })
  });
};

var el = document.createElement('div');
document.body.appendChild(el);
export var runLoading = function runLoading(open, options) {
  if (open) {
    document.body.appendChild(el);
    ReactDOM.render( /*#__PURE__*/_jsx(ConfigProvider, {
      children: /*#__PURE__*/_jsx(SpinContent, _objectSpread({}, options))
    }), el);
  } else {
    ReactDOM.unmountComponentAtNode(el);
    setTimeout(function () {
      changeConfirmLocale(zhCN.Modal);
    });
  }
};

var useLoading = function useLoading(spinProps) {
  var run = function run(open) {
    runLoading(open, spinProps);
  };

  return {
    runLoading: run
  };
};

export default useLoading;